Skip to main content
POST
/
funding-sources
/
{id}
cURL
POST https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
  "name": "Test Checking - 1234"
}
{}

Documentation Index

Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept
enum<string>
default:application/vnd.dwolla.v1.hal+json
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
application/vnd.dwolla.v1.hal+json

Path Parameters

id
string
required

Funding source unique identifier

Body

application/json

Parameters to update a customer funding source

Request body for updating information of an unverified bank funding source

name
string
required
Example:

"Jane Doe’s Checking"

routingNumber
string
Example:

"222222226"

accountNumber
string
Example:

"123456789"

bankAccountType
string
Example:

"checking"

Response

successful operation

The response is of type object.